Loading...
Searching...
No Matches
casacore::TableExprGroupFuncBool Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

Abstract base class for aggregate functions giving a bool scalar. More...

`#include <ExprGroup.h>`

## Public Member Functions

| TableExprGroupFuncBool (TableExprNodeRep *node)
| TableExprGroupFuncBool (TableExprNodeRep *node, Bool initValue)
virtual | ~TableExprGroupFuncBool ()
virtual Bool | getBool (const vector< TableExprId > &)
| Get the aggregated value.
Public Member Functions inherited from casacore::TableExprGroupFuncBase
| TableExprGroupFuncBase (TableExprNodeRep *node)
| Construct from the TaQL aggregation node.
virtual | ~TableExprGroupFuncBase ()
| TableExprGroupFuncBase (const TableExprGroupFuncBase &)=delete
| Copying is not needed, thus not allowed.
TableExprGroupFuncBase & | operator= (const TableExprGroupFuncBase &)=delete
virtual Bool | isLazy () const
| Does the aggregate function use lazy semantics?
uInt | seqnr () const
| Get the function's sequence nr.
void | setSeqnr (uInt seqnr)
| Set the function's sequence nr.
virtual void | apply (const TableExprId &id)=0
| Get the operand's value for the given row and apply it to the aggregation.
virtual void | finish ()
| If needed, finish the aggregation.
virtual std::shared_ptr< vector< TableExprId > > | getIds () const
| Get the assembled TableExprIds of a group.
virtual Int64 | getInt (const vector< TableExprId > &=vector< TableExprId >())
virtual Double | getDouble (const vector< TableExprId > &=vector< TableExprId >())
virtual DComplex | getDComplex (const vector< TableExprId > &=vector< TableExprId >())
virtual MVTime | getDate (const vector< TableExprId > &=vector< TableExprId >())
virtual String | getString (const vector< TableExprId > &=vector< TableExprId >())
virtual MArray< Bool > | getArrayBool (const vector< TableExprId > &=vector< TableExprId >())
virtual MArray< Int64 > | getArrayInt (const vector< TableExprId > &=vector< TableExprId >())
virtual MArray< Double > | getArrayDouble (const vector< TableExprId > &=vector< TableExprId >())
virtual MArray< DComplex > | getArrayDComplex (const vector< TableExprId > &=vector< TableExprId >())
virtual MArray< MVTime > | getArrayDate (const vector< TableExprId > &=vector< TableExprId >())
virtual MArray< String > | getArrayString (const vector< TableExprId > &=vector< TableExprId >())

## Protected Attributes

Bool | itsValue
Protected Attributes inherited from casacore::TableExprGroupFuncBase
TableExprNodeRep * | itsNode
TableExprNodeRep * | itsOperand
uInt | itsSeqnr

## Detailed Description

Abstract base class for aggregate functions giving a bool scalar.

### Intended use:

Internal

### Review Status

Test programs:
  tExprGroup

### Synopsis

This class is derived from TableExprGroupFuncBase and acts as the abstract base class for aggregate functions resulting in a bool scalar.
Derived classes can use itsValue to contain the aggregated value. It that case they do not need to implement the get function.

Definition at line 466 of file ExprGroup.h.

## Constructor & Destructor Documentation

## TableExprGroupFuncBool() [1/2]

casacore::TableExprGroupFuncBool::TableExprGroupFuncBool | ( | TableExprNodeRep * | node | ) |

inline explicit

Definition at line 469 of file ExprGroup.h.

References casacore::TableExprGroupFuncBase::TableExprGroupFuncBase().

## TableExprGroupFuncBool() [2/2]

casacore::TableExprGroupFuncBool::TableExprGroupFuncBool | ( | TableExprNodeRep * | node,
|  | Bool | initValue )

inline

Definition at line 472 of file ExprGroup.h.

References itsValue, and casacore::TableExprGroupFuncBase::TableExprGroupFuncBase().

## ~TableExprGroupFuncBool()

virtual casacore::TableExprGroupFuncBool::~TableExprGroupFuncBool | ( |  | ) |

virtual

## Member Function Documentation

## getBool()

virtual Bool casacore::TableExprGroupFuncBool::getBool | ( | const vector< TableExprId > & |  | ) |

virtual

Get the aggregated value.

Immediate classes can return the already calculated value, while lazy classes will get the values of all rows given by the TableExprIds and do the aggregation.

Reimplemented from casacore::TableExprGroupFuncBase.

## Member Data Documentation

## itsValue

Bool casacore::TableExprGroupFuncBool::itsValue

protected

Definition at line 479 of file ExprGroup.h.

Referenced by TableExprGroupFuncBool().

The documentation for this class was generated from the following file:

- tables/TaQL/ExprGroup.h